Modify

Opened 5 years ago

Closed 5 years ago

#12978 closed defect (othersoftware)

Empty pop-up windows - have to resize to refresh contents

Reported by: ToniE Owned by: ToniE
Priority: normal Milestone:
Component: Core Version: latest
Keywords: pop-up window Cc:

Description (last modified by Don-vip)

Usually I would say/agree: this is not a problem of a Java application - but this happens only with JOSM.

What steps will reproduce the problem?

  1. all the time

What is the expected result?

contents of pop-up windows is shown completely

What happens instead?

The contents of some pop-up windows is not shown, I have to resize the window to refresh the contents.

This happens mostly to:

  • "Upload" where I can enter my changeset comments
  • "Edit relation"
  • but sometimes also to other windows

Please provide any additional information below. Attach a screenshot if possible.

Screen-Shot of empty pop-up window

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-06-06 23:43:32 +0200 (Mon, 06 Jun 2016)
Build-Date:2016-06-07 01:32:04
Revision:10331
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10331 en_GB) Linux openSUSE Leap 42.1 (x86_64)
Memory Usage: 412 MB / 1774 MB (101 MB allocated, but free)
Java version: 1.8.0_91-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Dataset consistency test: No problems found

Plugins:
- PicLayer (32158)
- ejml (32158)
- geotools (31895)
- jogl (1.0.46)
- jts (31906)
- log4j (32158)
- measurement (32158)
- terracer (32158)

Tagging presets:
- https://josm.openstreetmap.de/josmfile?page=Presets/BicycleJunction&preset&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&preset&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&style&zip=1

$ java -jar ~/bin/josm-latest.jar
INFO: Detected useable IPv6 network, prefering IPv6 over IPv4.
INFO: loading plugin 'log4j' (version 32158)
INFO: Registered toolbar action tagging_Node Network node overwritten: org.openstreetmap.josm.gui.tagging.presets.TaggingPreset gets org.openstreetmap.josm.gui.tagging.presets.TaggingPreset
INFO: Registered toolbar action tagging_Node Network node overwritten: org.openstreetmap.josm.gui.tagging.presets.TaggingPreset gets org.openstreetmap.josm.gui.tagging.presets.TaggingPreset
INFO: Registered toolbar action tagging_Node Network node overwritten: org.openstreetmap.josm.gui.tagging.presets.TaggingPreset gets org.openstreetmap.josm.gui.tagging.presets.TaggingPreset
INFO: Toolbar action tagging_Node Network node overwritten: org.openstreetmap.josm.gui.tagging.presets.TaggingPreset gets org.openstreetmap.josm.gui.tagging.presets.TaggingPreset
INFO: Toolbar action tagging_Node Network node overwritten: org.openstreetmap.josm.gui.tagging.presets.TaggingPreset gets org.openstreetmap.josm.gui.tagging.presets.TaggingPreset
INFO: Toolbar action tagging_Node Network node overwritten: org.openstreetmap.josm.gui.tagging.presets.TaggingPreset gets org.openstreetmap.josm.gui.tagging.presets.TaggingPreset
INFO: loading plugin 'jogl' (version 1.0.46)
INFO: loading plugin 'jts' (version 31906)
INFO: loading plugin 'ejml' (version 32158)
INFO: loading plugin 'geotools' (version 31895)
ERROR StatusLogger No log4j2 configuration file found. Using default configuration: logging only errors to the console.
INFO: loading plugin 'terracer' (version 32158)
INFO: loading plugin 'measurement' (version 32158)
INFO: loading plugin 'PicLayer' (version 32158)
INFO: Toolbar action tagging_Node Network node overwritten: org.openstreetmap.josm.gui.tagging.presets.TaggingPreset gets org.openstreetmap.josm.gui.tagging.presets.TaggingPreset
INFO: Toolbar action tagging_Node Network node overwritten: org.openstreetmap.josm.gui.tagging.presets.TaggingPreset gets org.openstreetmap.josm.gui.tagging.presets.TaggingPreset
INFO: Toolbar action tagging_Node Network node overwritten: org.openstreetmap.josm.gui.tagging.presets.TaggingPreset gets org.openstreetmap.josm.gui.tagging.presets.TaggingPreset
INFO: Toolbar action tagging_Node Network node overwritten: org.openstreetmap.josm.gui.tagging.presets.TaggingPreset gets org.openstreetmap.josm.gui.tagging.presets.TaggingPreset
INFO: RemoteControl::Accepting remote connections on /127.0.0.1:8111
INFO: RemoteControl::Accepting remote connections on /0:0:0:0:0:0:0:1:8111
[INFO] CompositeCacheManager - Instance is null, returning unconfigured instance
[INFO] ThreadPoolManager - thread_pool.default PoolConfiguration = useBoundary = [false] boundarySize = [2000] maximumPoolSize = [150] minimumPoolSize = [4] keepAliveTime = [300000] whenBlockedPolicy = [RUN] startUpSize = [4]
[INFO] CompositeCacheManager - Setting default auxiliaries to null
[INFO] CompositeCacheManager - setting defaultCompositeCacheAttributes to [ useLateral = true, useRemote = true, useDisk = true, maxObjs = 1000, maxSpoolPerRun = -1, diskUsagePattern = UPDATE, spoolChunkSize = 2 ]
[INFO] CompositeCacheManager - setting defaultElementAttributes to [ IS_LATERAL = true, IS_SPOOL = true, IS_REMOTE = true, IS_ETERNAL = false, MaxLifeSeconds = -1, IdleTime = -1, CreateTime = 1466094212296, LastAccessTime = 1466094212296, getTimeToLiveSeconds() = -1, createTime = 1466094212296 ]
[INFO] CompositeCacheConfigurator - Parsed regions []
[INFO] CompositeCacheManager - Finished configuration in 15 ms.
[INFO] CompositeCacheConfigurator - No special ElementAttribute class defined for key [jcs.region.TMS.elementattributes], using default class.
[INFO] AbstractDoubleLinkedListMemoryCache - initialized MemoryCache for TMS
[INFO] CompositeCache - Constructed cache with name [TMS] and cache attributes [ useLateral = true, useRemote = true, useDisk = true, maxObjs = 0, maxSpoolPerRun = -1, diskUsagePattern = UPDATE, spoolChunkSize = 2 ]
[INFO] BlockDiskCache - Region [TMS_BLOCK] Constructing BlockDiskCache with attributes
BlockDiskAttributes

DiskPath home/toni/.josm/cache/tiles
MaxKeySize [524288]
MaxPurgatorySize [5000]
BlockSizeBytes [0]
KeyPersistenceIntervalSeconds [300]
DiskLimitType [SIZE]

[INFO] BlockDiskCache - Region [TMS_BLOCK] Cache file root directory: home/toni/.josm/cache/tiles
[INFO] BlockDisk - Constructing BlockDisk, blockSizeBytes [4096]
[INFO] BlockDiskKeyStore - Region [TMS_BLOCK] Cache file root directory home/toni/.josm/cache/tiles
[INFO] BlockDiskKeyStore - Region [TMS_BLOCK] Key File home/toni/.josm/cache/tiles/TMS_BLOCK.key
[INFO] BlockDiskKeyStore - Region [TMS_BLOCK] Loading keys for /home/toni/.josm/cache/tiles/TMS_BLOCK.key
[INFO] BlockDiskKeyStore - Region [TMS_BLOCK] Set maxKeySize to: '524288'
[INFO] BlockDiskKeyStore - Region [TMS_BLOCK] Loaded keys from [TMS_BLOCK], key count: 17008; up to 524288 will be available.
[INFO] BlockDiskCache - Region [TMS_BLOCK] Block Disk Cache is alive.
INFO: GET https://api.openstreetmap.org/api/0.6/map?bbox=11.727025,48.0779671,11.729482,48.0792163 -> 200
INFO: POST https://josm.openstreetmap.de/josmticket (1.29 kB) ...
INFO: POST https://josm.openstreetmap.de/josmticket -> 200
INFO: Opening URL: https://josm.openstreetmap.de/josmticket?pdata_stored=ba0c84874fdc325a6808078b

Attachments (1)

JOSM-Ticket.png (49.6 KB) - added by ToniE 5 years ago.
Screen-Shot of empty pop-up window

Download all attachments as: .zip

Change History (6)

Changed 5 years ago by ToniE

Attachment: JOSM-Ticket.png added

Screen-Shot of empty pop-up window

comment:1 Changed 5 years ago by Don-vip

Description: modified (diff)

comment:2 Changed 5 years ago by Don-vip

Owner: changed from team to ToniE
Status: newneedinfo

Are you running Linux with a somewhat Windows-like look-and-feel? Otherwise I don't understand your screenshot. If you have installed a custom look-and-feel, can you please tell us which is it, and check if the problem also happens with GTK look and feel? Thanks.

comment:3 Changed 5 years ago by ToniE

It's KDE with plasma-5 or so ... and I have to check the actual name and GTK ... being back home.
Thanks.

comment:4 Changed 5 years ago by ToniE

It was KDE with oepnSuse, Breeze with Seven-blue (looking like Windows).
Changed to openSuse, GTK+-Style with org.kde.breeze.

Now it seems that the problem disappeared.

Thanks a lot.

comment:5 Changed 5 years ago by stoecker

Resolution: othersoftware
Status: needinfoclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain ToniE.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.